Index: src/language.cpp
===================================================================
--- src/language.cpp	(revision 681)
+++ src/language.cpp	(arbetskopia)
@@ -26,7 +26,7 @@
 #ifdef LANG_NL
 #include "translator_nl.h"
 #endif
-#ifdef LANG_SE
+#ifdef LANG_SV
 #include "translator_se.h"
 #endif
 #ifdef LANG_CZ
@@ -169,7 +169,7 @@
     theTranslator=new TranslatorDutch;
   }
 #endif
-#ifdef LANG_SE
+#ifdef LANG_SV
   else if (L_EQUAL("swedish"))
   {
     theTranslator=new TranslatorDecoder(new TranslatorSwedish);
Index: src/translator_sv.h
===================================================================
--- src/translator_sv.h	(revision 681)
+++ src/translator_sv.h	(arbetskopia)
@@ -1,12 +1,13 @@
+/*-*- c-basic-offset: 2; tab-width: 8 -*-*/
 /******************************************************************************
  *
- * 
  *
+ *
  * Copyright (C) 1997-2008 by Dimitri van Heesch.
  *
  * Permission to use, copy, modify, and distribute this software and its
- * documentation under the terms of the GNU General Public License is hereby 
- * granted. No representations are made about the suitability of this software 
+ * documentation under the terms of the GNU General Public License is hereby
+ * granted. No representations are made about the suitability of this software
  * for any purpose. It is provided "as is" without express or implied warranty.
  * See the GNU General Public License for more details.
  *
@@ -21,6 +22,7 @@
 Samuel Hägglund      <sahag96@ite.mh.se>
 Xet Erixon           <xet@xeqt.com>
 Mikael Hallin        <mikaelhallin@yahoo.se>           2003-07-28
+Stefan Björnelund    <stefanb+docygen@update.uu.se>    2009-02-25
 ==================================================================================
 Uppdateringar.
 1999/04/29
@@ -64,10 +66,14 @@
    Deprecated: nån hygglig svensk översättning???
 
    Skicka gärna synpunkter.
+
+2009-02-25
+*  Ersatte "var genererad från", med det mer korrekta "är genererad från".
+*  Adderade översättningar för det som tillkommit fram till 1.5.8svn.
 */
 
-#ifndef TRANSLATOR_SE_H
-#define TRANSLATOR_SE_H
+#ifndef TRANSLATOR_SV_H
+#define TRANSLATOR_SV_H
 
 class TranslatorSwedish : public TranslatorAdapter_1_4_6
 {
@@ -76,9 +82,9 @@
     virtual QCString idLanguage()
     { return "swedish"; }
 
-    /*! Used to get the LaTeX command(s) for the language support. 
+    /*! Used to get the LaTeX command(s) for the language support.
      *  This method should return string with commands that switch
-     *  LaTeX to the desired language.  For example 
+     *  LaTeX to the desired language.  For example
      *  <pre>"\\usepackage[german]{babel}\n"
      *  </pre>
      *  or
@@ -86,7 +92,7 @@
      *  "\\usepackage[latin2]{inputenc}\n"
      *  "\\usepackage[T1]{fontenc}\n"
      *  </pre>
-     * 
+     *
      * The English LaTeX does not use such commands.  Because of this
      * the empty string is returned in this implementation.
      */
@@ -123,7 +129,7 @@
     {
       if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
       {
-        return "Fält dokumentation"; 
+        return "Fält dokumentation";
       }
       else
       {
@@ -149,7 +155,7 @@
     virtual QCString trGeneratedAutomatically(const char *s)
     { QCString result="Automatiskt skapad av Doxygen";
       if (s) result+=(QCString)" för "+s;
-      result+=" från källkoden."; 
+      result+=" från källkoden.";
       return result;
     }
 
@@ -191,7 +197,7 @@
     {
       if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
       {
-        return "Data fält"; 
+        return "Data fält";
       }
       else
       {
@@ -200,10 +206,10 @@
     }
 
     virtual QCString trFileMembers()
-    { 
+    {
       if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
       {
-        return "Globala symboler"; 
+        return "Globala symboler";
       }
       else
       {
@@ -234,8 +240,8 @@
     }
 
     virtual QCString trCompoundListDescription()
-    { 
-      
+    {
+
       if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
       {
         return "Här följer datastrukturerna med korta beskrivningar:";
@@ -243,7 +249,7 @@
       else
       {
         return "Här följer klasserna, strukterna, unionerna och "
-               "gränssnitten med korta beskrivningar:"; 
+               "gränssnitten med korta beskrivningar:";
       }
     }
 
@@ -264,7 +270,7 @@
         result+="klassmedlemmar";
       }
       result+=" med länkar till ";
-      if (!extractAll) 
+      if (!extractAll)
       {
         if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
         {
@@ -275,7 +281,7 @@
           result+="klassdokumentationen för varje medlem:";
         }
       }
-      else 
+      else
       {
         if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
         {
@@ -351,7 +357,7 @@
      *  the documentation of all classes, structs and unions.
      */
     virtual QCString trClassDocumentation()
-    { 
+    {
       if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
       {
         return "Dokumentation över datastrukturer";
@@ -408,11 +414,11 @@
     virtual QCString trVariableDocumentation()
     { return "Dokumentation över variabler"; }
 
-    /*! This is used in the documentation of a file/namespace/group before 
+    /*! This is used in the documentation of a file/namespace/group before
      *  the list of links to documented compounds
      */
     virtual QCString trCompounds()
-    { 
+    {
       if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
       {
         return "Datastrukturer";
@@ -651,7 +657,7 @@
         case ClassDef::Category:   result+="category"; break; // translate me!
         case ClassDef::Exception:  result+="detta undantag "; break;
       }
-      result+="var genererad från följande fil";
+      result+="är genererad från följande fil";
       if (single) result+=":"; else result+="er:";
       return result;
     }
@@ -676,7 +682,7 @@
     virtual QCString trMainPage()
     { return "Huvudsida"; }
 
-    /*! This is used in references to page that are put in the LaTeX 
+    /*! This is used in references to page that are put in the LaTeX
      *  documentation. It should be an abbreviation of the word page.
      */
     virtual QCString trPageAbbreviation()
@@ -713,17 +719,17 @@
     {
       return (QCString)"Samarbetsdiagram för "+clName+":";
     }
-    
+
     /*! this text is put before an include dependency graph */
     virtual QCString trInclDepGraph(const char *fName)
     {
       return (QCString)"Include-beroendediagram för "+fName+":";
     }
-    
+
     /*! header that is put before the list of constructor/destructors. */
     virtual QCString trConstructorDocumentation()
     {
-      return "Dokumentation av konstruktorer och destruktorer"; 
+      return "Dokumentation av konstruktorer och destruktorer";
     }
 
     /*! Used in the file documentation to point to the corresponding sources. */
@@ -783,11 +789,11 @@
     {
       return "Sidindex";
     }
-    
+
 //////////////////////////////////////////////////////////////////////////
 // new since 1.1.0
 //////////////////////////////////////////////////////////////////////////
-    
+
     virtual QCString trNote()
     {
       return "Notera";
@@ -887,12 +893,12 @@
       return "Grafförklaring";
     }
 
-    /*! page explaining how the dot graph's should be interpreted 
+    /*! page explaining how the dot graph's should be interpreted
      *  The %A in the text below are to prevent link to classes called "A".
      */
     virtual QCString trLegendDocs()
     {
-      return 
+      return
         "Den här sidan förklarar hur man ska tolka de grafer som doxygen "
         "genererar.<p>\n"
         "Tag följande exempel:\n"
@@ -964,7 +970,7 @@
 //////////////////////////////////////////////////////////////////////////
 // new since 1.2.0
 //////////////////////////////////////////////////////////////////////////
-    
+
     /*! Used as a marker that is put before a test item */
     virtual QCString trTest()
     {
@@ -1043,11 +1049,11 @@
     {
       return "Värde:";
     }
-    
+
 //////////////////////////////////////////////////////////////////////////
 // new since 1.2.5
 //////////////////////////////////////////////////////////////////////////
-    
+
     /*! Used as a marker that is put before a \\bug item */
     virtual QCString trBug()
     {
@@ -1089,83 +1095,83 @@
     }
 
     /*! This is used for translation of the word that will possibly
-     *  be followed by a single name or by a list of names 
+     *  be followed by a single name or by a list of names
      *  of the category.
      */
     virtual QCString trClass(bool first_capital, bool singular)
-    { 
+    {
       QCString result((first_capital ? "Klass" : "klass"));
       if (!singular)  result+="er";
-      return result; 
+      return result;
     }
 
     /*! This is used for translation of the word that will possibly
-     *  be followed by a single name or by a list of names 
+     *  be followed by a single name or by a list of names
      *  of the category.
      */
     virtual QCString trFile(bool first_capital, bool singular)
-    { 
+    {
       QCString result((first_capital ? "Fil" : "fil"));
       if (!singular)  result+="er";
-      return result; 
+      return result;
     }
 
     /*! This is used for translation of the word that will possibly
-     *  be followed by a single name or by a list of names 
+     *  be followed by a single name or by a list of names
      *  of the category.
      */
     virtual QCString trNamespace(bool first_capital, bool singular)
-    { 
+    {
       QCString result((first_capital ? "Namnrymd" : "namnrynd"));
       if (!singular)  result+="er";
-      return result; 
+      return result;
     }
-    
+
     /*! This is used for translation of the word that will possibly
-     *  be followed by a single name or by a list of names 
+     *  be followed by a single name or by a list of names
      *  of the category.
      */
     virtual QCString trGroup(bool first_capital, bool singular)
-    { 
+    {
       QCString result((first_capital ? "Grupp" : "grupp"));
       if (!singular)  result+="er";
-      return result; 
+      return result;
     }
 
     /*! This is used for translation of the word that will possibly
-     *  be followed by a single name or by a list of names 
+     *  be followed by a single name or by a list of names
      *  of the category.
      */
     virtual QCString trPage(bool first_capital, bool singular)
-    { 
+    {
       QCString result((first_capital ? "Sid" : "sid"));
       if (singular)
          result+="a";
       else
          result+="or";
-      return result; 
+      return result;
     }
 
     /*! This is used for translation of the word that will possibly
-     *  be followed by a single name or by a list of names 
+     *  be followed by a single name or by a list of names
      *  of the category.
      */
     virtual QCString trMember(bool first_capital, bool singular)
-    { 
+    {
       QCString result((first_capital ? "Medlem" : "medlem"));
       if (!singular)  result+="mar";
-      return result; 
+      return result;
     }
 
     /*! This is used for translation of the word that will possibly
-     *  be followed by a single name or by a list of names 
+     *  be followed by a single name or by a list of names
      *  of the category.
      */
     virtual QCString trGlobal(bool first_capital, bool singular)
-    { 
+    {
       QCString result((first_capital ? "Global" : "global"));
       if (!singular)  result+="er";
-      return result; 
+      return result;
     }
 
 //////////////////////////////////////////////////////////////////////////
@@ -1177,7 +1183,7 @@
     virtual QCString trAuthor(bool first_capital, bool /*singular*/)
     {
       QCString result((first_capital ? "Författare" : "författare"));
-      return result; 
+      return result;
     }
 
 //////////////////////////////////////////////////////////////////////////
@@ -1195,7 +1201,7 @@
 // new since 1.2.13
 //////////////////////////////////////////////////////////////////////////
 
-    /*! used in member documentation blocks to produce a list of 
+    /*! used in member documentation blocks to produce a list of
      *  members that are implemented by this one.
      */
     virtual QCString trImplementedFromList(int numEntries)
@@ -1227,8 +1233,8 @@
 // new since 1.2.17
 //////////////////////////////////////////////////////////////////////////
 
-    /*! Used as the header of the list of item that have been 
-     *  flagged deprecated 
+    /*! Used as the header of the list of item that have been
+     *  flagged deprecated
      */
     virtual QCString trDeprecatedList()
     {
@@ -1239,7 +1245,7 @@
 // new since 1.2.18
 //////////////////////////////////////////////////////////////////////////
 
-    /*! Used as a header for declaration section of the events found in 
+    /*! Used as a header for declaration section of the events found in
      * a C# program
      */
     virtual QCString trEvents()
@@ -1259,43 +1265,43 @@
     /*! Used as a heading for a list of Java class types with package scope.
      */
     virtual QCString trPackageTypes()
-    { 
+    {
       return "Paket typer";
     }
-    /*! Used as a heading for a list of Java class functions with package 
-     * scope. 
+    /*! Used as a heading for a list of Java class functions with package
+     * scope.
      */
     virtual QCString trPackageMembers()
-    { 
+    {
       return "Paket funktioner";
     }
-    /*! Used as a heading for a list of static Java class functions with 
+    /*! Used as a heading for a list of static Java class functions with
      *  package scope.
      */
     virtual QCString trStaticPackageMembers()
-    { 
+    {
       return "Statiska paket funktioner";
     }
-    /*! Used as a heading for a list of Java class variables with package 
+    /*! Used as a heading for a list of Java class variables with package
      * scope.
      */
     virtual QCString trPackageAttribs()
-    { 
+    {
       return "Paket attribut";
     }
-    /*! Used as a heading for a list of static Java class variables with 
+    /*! Used as a heading for a list of static Java class variables with
      * package scope.
      */
     virtual QCString trStaticPackageAttribs()
-    { 
+    {
       return "Statiska paket attribut";
     }
-    
+
 //////////////////////////////////////////////////////////////////////////
 // new since 1.3.1
 //////////////////////////////////////////////////////////////////////////
 
-    /*! Used in the quick index of a class/file/namespace member list page 
+    /*! Used in the quick index of a class/file/namespace member list page
      *  to link to the unfiltered list of all members.
      */
     virtual QCString trAll()
@@ -1312,9 +1318,9 @@
 // new since 1.3.3
 //////////////////////////////////////////////////////////////////////////
 
-    /*! When the search engine is enabled this text is put in the header 
-     *  of each page before the field where one can enter the text to search 
-     *  for. 
+    /*! When the search engine is enabled this text is put in the header
+     *  of each page before the field where one can enter the text to search
+     *  for.
      */
     virtual QCString trSearchForIndex()
     {
@@ -1331,7 +1337,7 @@
      *  text can be different depending on the number of documents found.
      *  Inside the text you can put the special marker $num to insert
      *  the number representing the actual number of search results.
-     *  The @a numDocuments parameter can be either 0, 1 or 2, where the 
+     *  The @a numDocuments parameter can be either 0, 1 or 2, where the
      *  value 2 represents 2 or more matches. HTML markup is allowed inside
      *  the returned string.
      */
@@ -1345,13 +1351,13 @@
       {
         return "Hittade <b>1</b> dokument som matchar din sökning.";
       }
-      else 
+      else
       {
         return "Hittade <b>$num</b> dokument som matchar din sökning. "
                "Visar de bästa träffarna först.";
       }
     }
-    /*! This string is put before the list of matched words, for each search 
+    /*! This string is put before the list of matched words, for each search
      *  result. What follows is the list of words that matched the query.
      */
     virtual QCString trSearchMatches()
@@ -1392,7 +1398,7 @@
     virtual QCString trDirectories()
     { return "Kataloger"; }
 
-    /*! This returns a sentences that introduces the directory hierarchy. 
+    /*! This returns a sentences that introduces the directory hierarchy.
      *  and the fact that it is sorted alphabetically per level
      */
     virtual QCString trDirDescription()
@@ -1410,10 +1416,8 @@
      *  (\a first_capital) and in sigular or plural form (\a singular).
      */
     virtual QCString trDir(bool first_capital, bool singular)
-    { 
-      QCString result((first_capital ? "Katalog" : "katalog"));
-      if (!singular) result+="er";
-      return result; 
+    {
+      return createNoun(first_capital, singular, "katalog", "er");
     }
 
 //////////////////////////////////////////////////////////////////////////
@@ -1431,7 +1435,227 @@
              "argument den tar emot.";
     }
 
-	
+//////////////////////////////////////////////////////////////////////////
+// new since 1.4.6
+//////////////////////////////////////////////////////////////////////////
+
+    /*! This is used to introduce a caller (or called-by) graph */
+    virtual QCStringtr trCallerGraph()
+    {
+      return "Här är katalog grafen för denna funktion:";
+    }
+
+    /*! This is used in the documentation of a file/namespace before the list
+     *  of documentation blocks for enumeration values
+     */
+    virtual QCString trEnumerationValueDocumentation()
+    {
+      return "Uppräkningsdokumentation";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.5.4 (mainly for Fortran)
+//////////////////////////////////////////////////////////////////////////
+
+    /*! header that is put before the list of member subprograms (Fortran). */
+    virtual QCString trMemberFunctionDocumentationFortran()
+    { return "Dokumentation av medlemsfunktioner och -subrutiner"; }
+
+    /*! This is put above each page as a link to the list of annotated data types (Fortran). */
+    virtual QCString trCompoundListFortran()
+    { return "Datatypslista"; }
+
+    /*! This is put above each page as a link to all members of compounds (Fortran). */
+    virtual QCString trCompoundMembersFortran()
+    { return "Datafält"; }
+
+    /*! This is an introduction to the annotated compound list (Fortran). */
+    virtual QCString trCompoundListDescriptionFortran()
+    { return "Här är datatyperna med en kort beskrivning:"; }
+
+    /*! This is an introduction to the page with all data types (Fortran). */
+    virtual QCString trCompoundMembersDescriptionFortran(bool extractAll)
+    {
+      QCString result="Här är en lista över alla ";
+      if (!extractAll) {
+        result+="dokumenterade ";
+      }
+      result+="datatypsmedlemmar";
+      result+=" med länkar till ";
+      if (!extractAll) {
+         result+="datastruktursdocumentation för varje medlem";
+      } else {
+         result+="datatyperna de hör till:";
+      }
+      return result;
+    }
+
+    /*! This is used in LaTeX as the title of the chapter with the
+     * annotated compound index (Fortran).
+     */
+    virtual QCString trCompoundIndexFortran()
+    { return "Datatypsindex"; }
+
+    /*! This is used in LaTeX as the title of the chapter containing
+     *  the documentation of all data types (Fortran).
+     */
+    virtual QCString trTypeDocumentation()
+    { return "Datatypsdokumentation"; }
+
+    /*! This is used in the documentation of a file as a header before the
+     *  list of (global) subprograms (Fortran).
+     */
+    virtual QCString trSubprograms()
+    { return "Funktioner/subrutiner"; }
+
+    /*! This is used in the documentation of a file/namespace before the list
+     *  of documentation blocks for subprograms (Fortran)
+     */
+    virtual QCString trSubprogramDocumentation()
+    { return "Funktions/subrutinsdokumentation"; }
+
+    /*! This is used in the documentation of a file/namespace/group before
+     *  the list of links to documented compounds (Fortran)
+     */
+     virtual QCString trDataTypes()
+    { return "Datatyper"; }
+
+    /*! used as the title of page containing all the index of all modules (Fortran). */
+    virtual QCString trModulesList()
+    { return "Modullista"; }
+
+    /*! used as an introduction to the modules list (Fortran) */
+    virtual QCString trModulesListDescription(bool extractAll)
+    {
+      QCString result="Här är en lista på alla ";
+      if (!extractAll) result+="dokumenterade ";
+      result+="moduler med en kort beskrivning:";
+      return result;
+    }
+
+    /*! used as the title of the HTML page of a module/type (Fortran) */
+    virtual QCString trCompoundReferenceFortran(const char *clName,
+                                    ClassDef::CompoundType compType,
+                                    bool isTemplate)
+    {
+      QCString result=(QCString)clName;
+      switch(compType)
+      {
+        case ClassDef::Class:      result+=" Modul"; break;
+        case ClassDef::Struct:     result+=" Typ"; break;
+        case ClassDef::Union:      result+=" Union"; break;
+        case ClassDef::Interface:  result+=" Gränssnitt"; break;
+        case ClassDef::Protocol:   result+=" Protokoll"; break;
+        case ClassDef::Category:   result+=" Kategori"; break;
+        case ClassDef::Exception:  result+=" Undantag"; break;
+      }
+      if (isTemplate) result+=" Mall";
+      result+=" Referens";
+      return result;
+    }
+    /*! used as the title of the HTML page of a module (Fortran) */
+    virtual QCString trModuleReference(const char *namespaceName)
+    {
+      QCString result=namespaceName;
+      result+=" Modul Referens";
+      return result;
+    }
+
+    /*! This is put above each page as a link to all members of modules. (Fortran) */
+    virtual QCString trModulesMembers()
+    { return "Modulmedlemmar"; }
+
+    /*! This is an introduction to the page with all modules members (Fortran) */
+    virtual QCString trModulesMemberDescription(bool extractAll)
+    {
+      QCString result="Här är en lista över alla ";
+      if (!extractAll) result+="dokumenterade ";
+      result+="modulmedlemmar med länkar till ";
+      if (extractAll)
+      {
+        result+="modul-dokumentationen för varje medlem:";
+      }
+      else
+      {
+        result+="de modulerna de tillhör:";
+      }
+      return result;
+    }
+
+    /*! This is used in LaTeX as the title of the chapter with the
+     *  index of all modules (Fortran).
+     */
+    virtual QCString trModulesIndex()
+    { return "Modulindex"; }
+
+    /*! This is used for translation of the word that will possibly
+     *  be followed by a single name or by a list of names
+     *  of the category.
+     */
+    virtual QCString trModule(bool first_capital, bool singular)
+    {
+      return createNoun(first_capital, singular, "modul", "er");
+    }
+    /*! This is put at the bottom of a module documentation page and is
+     *  followed by a list of files that were used to generate the page.
+     */
+    virtual QCString trGeneratedFromFilesFortran(ClassDef::CompoundType compType,
+        bool single)
+    {
+      // single is true implies a single file
+      QCString result=(QCString)"Dokumentationen för ";
+      switch(compType)
+      {
+        case ClassDef::Class:      result+="modul"; break;
+        case ClassDef::Struct:     result+="typ"; break;
+        case ClassDef::Union:      result+="union"; break;
+        case ClassDef::Interface:  result+="gränssnitt"; break;
+        case ClassDef::Protocol:   result+="protokoll"; break;
+        case ClassDef::Category:   result+="kategori"; break;
+        case ClassDef::Exception:  result+="undantag"; break;
+      }
+      result+="är genererad från följande fil";
+      if (single) result+=":"; else result+="er:";
+      return result;
+    }
+    /*! This is used for translation of the word that will possibly
+     *  be followed by a single name or by a list of names
+     *  of the category.
+     */
+    virtual QCString trType(bool first_capital, bool singular)
+    {
+      return createNoun(first_capital, singular, "typ", "er");
+    }
+    /*! This is used for translation of the word that will possibly
+     *  be followed by a single name or by a list of names
+     *  of the category.
+     */
+    virtual QCString trSubprogram(bool first_capital, bool /*singular*/)
+    {
+      QCString result((first_capital ? "Subprogram" : "subprogram"));
+      return result;
+    }
+
+    /*! C# Type Constraint list */
+    virtual QCString trTypeConstraints()
+    {
+      return "Typbegränsningar";
+    }
+
+/*---------- For internal use: ----------------------------------------*/
+  protected:
+    /*! For easy flexible-noun implementation.
+     *  \internal
+     */
+    QCString createNoun(bool first_capital, bool singular,
+			const char* base, const char* plurSuffix)
+    {
+      QCString result(base);
+      if (first_capital) result.at(0) = toupper(result.at(0));
+      if (!singular)  result+=plurSuffix;
+      return result;
+    }
+
 };
 
 #endif

EgenskapsÃ¤ndringar fÃ¶r: src/translator_sv.h
___________________________________________________________________
Added: svn:mergeinfo

Index: src/translator_se.h (deleted)
===================================================================
Index: examples/par.cfg
===================================================================
--- examples/par.cfg	(revision 681)
+++ examples/par.cfg	(arbetskopia)
@@ -7,3 +7,4 @@
 INPUT            = par.cpp
 QUIET            = YES
 JAVADOC_AUTOBRIEF = YES
+OUTPUT_LANGUAGE=swedish
Index: examples/include.cfg
===================================================================
--- examples/include.cfg	(revision 681)
+++ examples/include.cfg	(arbetskopia)
@@ -8,3 +8,4 @@
 EXAMPLE_PATH     = example_test.cpp
 QUIET            = YES
 JAVADOC_AUTOBRIEF = YES
+OUTPUT_LANGUAGE=swedish
Index: examples/define.cfg
===================================================================
--- examples/define.cfg	(revision 681)
+++ examples/define.cfg	(arbetskopia)
@@ -8,3 +8,4 @@
 ENABLE_PREPROCESSING = YES
 QUIET            = YES
 JAVADOC_AUTOBRIEF = YES
+OUTPUT_LANGUAGE=swedish
Index: examples/func.cfg
===================================================================
--- examples/func.cfg	(revision 681)
+++ examples/func.cfg	(arbetskopia)
@@ -7,3 +7,4 @@
 INPUT            = func.h
 QUIET            = YES
 JAVADOC_AUTOBRIEF = YES
+OUTPUT_LANGUAGE=swedish
Index: examples/enum.cfg
===================================================================
--- examples/enum.cfg	(revision 681)
+++ examples/enum.cfg	(arbetskopia)
@@ -7,3 +7,4 @@
 INPUT            = enum.h
 QUIET            = YES
 JAVADOC_AUTOBRIEF = YES
+OUTPUT_LANGUAGE=swedish
Index: examples/class.cfg
===================================================================
--- examples/class.cfg	(revision 681)
+++ examples/class.cfg	(arbetskopia)
@@ -7,3 +7,4 @@
 INPUT            = class.h
 QUIET            = YES
 JAVADOC_AUTOBRIEF = YES
+OUTPUT_LANGUAGE=swedish
Index: examples/mux.cfg
===================================================================
--- examples/mux.cfg	(revision 681)
+++ examples/mux.cfg	(arbetskopia)
@@ -11,3 +11,4 @@
 EXTRACT_PRIVATE      = YES
 HIDE_SCOPE_NAMES     = YES
 INHERIT_DOCS         = NO
+OUTPUT_LANGUAGE=swedish
Index: examples/restypedef.cfg
===================================================================
--- examples/restypedef.cfg	(revision 681)
+++ examples/restypedef.cfg	(arbetskopia)
@@ -7,3 +7,4 @@
 INPUT            = restypedef.cpp
 QUIET            = YES
 JAVADOC_AUTOBRIEF = YES
+OUTPUT_LANGUAGE=swedish
Index: examples/overload.cfg
===================================================================
--- examples/overload.cfg	(revision 681)
+++ examples/overload.cfg	(arbetskopia)
@@ -8,3 +8,4 @@
 INPUT            = overload.cpp
 QUIET            = YES
 JAVADOC_AUTOBRIEF = YES
+OUTPUT_LANGUAGE=swedish
Index: examples/page.cfg
===================================================================
--- examples/page.cfg	(revision 681)
+++ examples/page.cfg	(arbetskopia)
@@ -7,3 +7,4 @@
 INPUT            = page.doc
 QUIET            = YES
 JAVADOC_AUTOBRIEF = YES
+OUTPUT_LANGUAGE=swedish
Index: examples/manual.cfg
===================================================================
--- examples/manual.cfg	(revision 681)
+++ examples/manual.cfg	(arbetskopia)
@@ -13,3 +13,4 @@
 INLINE_SOURCES         = YES
 REFERENCED_BY_RELATION = YES
 REFERENCES_RELATION    = YES
+OUTPUT_LANGUAGE=swedish
Index: examples/jdstyle.cfg
===================================================================
--- examples/jdstyle.cfg	(revision 681)
+++ examples/jdstyle.cfg	(arbetskopia)
@@ -7,3 +7,4 @@
 INPUT             = jdstyle.cpp
 QUIET             = YES
 JAVADOC_AUTOBRIEF = YES
+OUTPUT_LANGUAGE=swedish
Index: examples/templ.cfg
===================================================================
--- examples/templ.cfg	(revision 681)
+++ examples/templ.cfg	(arbetskopia)
@@ -7,3 +7,4 @@
 INPUT            = templ.cpp
 QUIET            = YES
 JAVADOC_AUTOBRIEF = YES
+OUTPUT_LANGUAGE=swedish
Index: examples/autolink.cfg
===================================================================
--- examples/autolink.cfg	(revision 681)
+++ examples/autolink.cfg	(arbetskopia)
@@ -7,3 +7,4 @@
 INPUT            = autolink.cpp
 QUIET            = YES
 JAVADOC_AUTOBRIEF = YES
+OUTPUT_LANGUAGE=swedish
Index: examples/afterdoc.cfg
===================================================================
--- examples/afterdoc.cfg	(revision 681)
+++ examples/afterdoc.cfg	(arbetskopia)
@@ -7,3 +7,5 @@
 INPUT             = afterdoc.h
 QUIET             = YES
 JAVADOC_AUTOBRIEF = YES
+OUTPUT_LANGUAGE   = swedish
+
Index: examples/diagrams.cfg
===================================================================
--- examples/diagrams.cfg	(revision 681)
+++ examples/diagrams.cfg	(arbetskopia)
@@ -11,3 +11,4 @@
 FILE_PATTERNS      = diagrams_*.h
 QUIET              = YES
 JAVADOC_AUTOBRIEF = YES
+OUTPUT_LANGUAGE=swedish
Index: examples/memgrp.cfg
===================================================================
--- examples/memgrp.cfg	(revision 681)
+++ examples/memgrp.cfg	(arbetskopia)
@@ -8,3 +8,4 @@
 QUIET                = YES
 DISTRIBUTE_GROUP_DOC = YES
 JAVADOC_AUTOBRIEF = YES
+OUTPUT_LANGUAGE=swedish
Index: examples/example.cfg
===================================================================
--- examples/example.cfg	(revision 681)
+++ examples/example.cfg	(arbetskopia)
@@ -9,3 +9,4 @@
 EXAMPLE_PATH      = example_test.cpp
 QUIET             = YES
 JAVADOC_AUTOBRIEF = YES
+OUTPUT_LANGUAGE=swedish
Index: examples/group.cfg
===================================================================
--- examples/group.cfg	(revision 681)
+++ examples/group.cfg	(arbetskopia)
@@ -7,3 +7,4 @@
 INPUT            = group.cpp
 QUIET            = YES
 JAVADOC_AUTOBRIEF = YES
+OUTPUT_LANGUAGE=swedish
Index: examples/docstring.cfg
===================================================================
--- examples/docstring.cfg	(revision 681)
+++ examples/docstring.cfg	(arbetskopia)
@@ -8,3 +8,4 @@
 INPUT            = docstring.py
 QUIET            = YES
 JAVADOC_AUTOBRIEF = YES
+OUTPUT_LANGUAGE=swedish
Index: examples/relates.cfg
===================================================================
--- examples/relates.cfg	(revision 681)
+++ examples/relates.cfg	(arbetskopia)
@@ -7,3 +7,4 @@
 INPUT            = relates.cpp
 QUIET            = YES
 JAVADOC_AUTOBRIEF = YES
+OUTPUT_LANGUAGE=swedish
Index: examples/author.cfg
===================================================================
--- examples/author.cfg	(revision 681)
+++ examples/author.cfg	(arbetskopia)
@@ -7,3 +7,4 @@
 INPUT            = author.cpp
 QUIET            = YES
 JAVADOC_AUTOBRIEF = YES
+OUTPUT_LANGUAGE=swedish
Index: examples/pyexample.cfg
===================================================================
--- examples/pyexample.cfg	(revision 681)
+++ examples/pyexample.cfg	(arbetskopia)
@@ -7,3 +7,4 @@
 INPUT            = pyexample.py
 QUIET            = YES
 JAVADOC_AUTOBRIEF = YES
+OUTPUT_LANGUAGE=swedish
Index: examples/qtstyle.cfg
===================================================================
--- examples/qtstyle.cfg	(revision 681)
+++ examples/qtstyle.cfg	(arbetskopia)
@@ -7,3 +7,4 @@
 INPUT            = qtstyle.cpp
 QUIET            = YES
 JAVADOC_AUTOBRIEF = YES
+OUTPUT_LANGUAGE=swedish
Index: examples/structcmd.cfg
===================================================================
--- examples/structcmd.cfg	(revision 681)
+++ examples/structcmd.cfg	(arbetskopia)
@@ -7,3 +7,4 @@
 INPUT            = structcmd.h
 QUIET            = YES
 JAVADOC_AUTOBRIEF = YES
+OUTPUT_LANGUAGE=swedish
Index: examples/tag.cfg
===================================================================
--- examples/tag.cfg	(revision 681)
+++ examples/tag.cfg	(arbetskopia)
@@ -9,3 +9,4 @@
 PERL_PATH        = perl
 QUIET            = YES
 JAVADOC_AUTOBRIEF = YES
+OUTPUT_LANGUAGE=swedish
Index: examples/file.cfg
===================================================================
--- examples/file.cfg	(revision 681)
+++ examples/file.cfg	(arbetskopia)
@@ -7,3 +7,4 @@
 INPUT            = file.h
 QUIET            = YES
 JAVADOC_AUTOBRIEF = YES
+OUTPUT_LANGUAGE=swedish