commit 4280349771b32b374ab1c3ecd33c88148f2f7813
Author: Leandro Lucarella <llucarella@integratech.com.ar>
Date:   Tue May 19 13:32:55 2009 -0300

    Limit generated Doxyfile comments to 80 columns

diff --git a/src/config.xml b/src/config.xml
index 329cb11..8630ca3 100644
--- a/src/config.xml
+++ b/src/config.xml
@@ -222,15 +222,15 @@ sources. Doxygen will then generate output that is tailored for
 VHDL.
 ' defval='0'/>
     <option type='list' id='EXTENSION_MAPPING' format='string' docs='
-Doxygen selects the parser to use depending on the extension of the files it parses.
-With this tag you can assign which parser to use for a given extension.
-Doxygen has a built-in mapping, but you can override or extend it using this tag.
-The format is ext=language, where ext is a file extension, and language is one of
-the parsers supported by doxygen: IDL, Java, Javascript, C#, C, C++, D, PHP,
-Objective-C, Python, Fortran, VHDL, C, C++. For instance to make doxygen treat
-.inc files as Fortran files (default is PHP), and .f files as C (default is Fortran),
-use: inc=Fortran f=C. Note that for custom extensions you also need to set
-FILE_PATTERNS otherwise the files are not read by doxygen.
+Doxygen selects the parser to use depending on the extension of the files it
+parses. With this tag you can assign which parser to use for a given extension.
+Doxygen has a built-in mapping, but you can override or extend it using this
+tag.  The format is ext=language, where ext is a file extension, and language
+is one of the parsers supported by doxygen: IDL, Java, Javascript, C#, C, C++,
+D, PHP, Objective-C, Python, Fortran, VHDL, C, C++. For instance to make
+doxygen treat .inc files as Fortran files (default is PHP), and .f files as
+C (default is Fortran), use: inc=Fortran f=C. Note that for custom extensions
+you also need to set FILE_PATTERNS otherwise the files are not read by doxygen.
 '>
     </option>
     <option type='bool' id='BUILTIN_STL_SUPPORT' docs='
@@ -242,8 +242,8 @@ func(std::string) {}). This also make the inheritance and collaboration
 diagrams that involve STL classes more complete and accurate.
 ' defval='0'/>
     <option type='bool' id='CPP_CLI_SUPPORT' docs='
-If you use Microsoft&apos;s C++/CLI language, you should set this option to YES to
-enable parsing support.
+If you use Microsoft&apos;s C++/CLI language, you should set this option to YES
+to enable parsing support.
 ' defval='0'/>
     <option type='bool' id='SIP_SUPPORT' docs='
 Set the SIP_SUPPORT tag to YES if your project consists of sip sources only.
@@ -251,12 +251,12 @@ Doxygen will parse them like normal C++ but will assume all classes use public
 instead of private inheritance when no explicit protection keyword is present.
 ' defval='0'/>
     <option type='bool' id='IDL_PROPERTY_SUPPORT' docs='
-For Microsoft&apos;s IDL there are propget and propput attributes to indicate getter
-and setter methods for a property. Setting this option to YES (the default)
-will make doxygen to replace the get and set methods by a property in the
-documentation. This will only work if the methods are indeed getting or
-setting a simple type. If this is not the case, or you want to show the
-methods anyway, you should set this option to NO.
+For Microsoft&apos;s IDL there are propget and propput attributes to indicate
+getter and setter methods for a property. Setting this option to YES (the
+default) will make doxygen to replace the get and set methods by a property in
+the documentation. This will only work if the methods are indeed getting or
+setting a simple type. If this is not the case, or you want to show the methods
+anyway, you should set this option to NO.
 ' defval='1'/>
     <option type='bool' id='DISTRIBUTE_GROUP_DOC' docs='
 If member grouping is used in the documentation and the DISTRIBUTE_GROUP_DOC
@@ -466,12 +466,12 @@ provided by doxygen. Whatever the program writes to standard output
 is used as the file version. See the manual for examples.
 ' defval=''/>
     <option type='string' id='LAYOUT_FILE' format='file' docs='
-The LAYOUT_FILE tag can be used to specify a layout file which will be parsed by
-doxygen. The layout file controls the global structure of the generated output files
-in an output format independent way. The create the layout file that represents
-doxygen&apos;s defaults, run doxygen with the -l option. You can optionally specify a
-file name after the option, if omitted DoxygenLayout.xml will be used as the name
-of the layout file.
+The LAYOUT_FILE tag can be used to specify a layout file which will be parsed
+by doxygen. The layout file controls the global structure of the generated
+output files in an output format independent way. The create the layout file
+that represents doxygen&apos;s defaults, run doxygen with the -l option. You
+can optionally specify a file name after the option, if omitted
+DoxygenLayout.xml will be used as the name of the layout file.
 ' defval=''/>
   </group>
   <group name='Messages' docs='configuration options related to warning and progress messages'>
@@ -772,7 +772,8 @@ HTML output directory. Running make will produce the docset in that
 directory and running &quot;make install&quot; will install the docset in
 ~/Library/Developer/Shared/Documentation/DocSets so that Xcode will find
 it at startup.
-See http://developer.apple.com/tools/creatingdocsetswithdoxygen.html for more information.
+See http://developer.apple.com/tools/creatingdocsetswithdoxygen.html for more
+information.
 ' defval='0' depends='GENERATE_HTML'/>
     <option type='string' id='DOCSET_FEEDNAME' format='string' docs='
 When GENERATE_DOCSET tag is set to YES, this tag determines the name of the
@@ -824,10 +825,10 @@ The TOC_EXPAND flag can be set to YES to add extra items for group members
 to the contents of the HTML help documentation and to the tree view.
 ' defval='0' depends='GENERATE_HTMLHELP'/>
     <option type='bool' id='GENERATE_QHP' docs='
-If the GENERATE_QHP tag is set to YES and both QHP_NAMESPACE and QHP_VIRTUAL_FOLDER
-are set, an additional index file will be generated that can be used as input for
-Qt&apos;s qhelpgenerator to generate a Qt Compressed Help (.qch) of the generated
-HTML documentation.
+If the GENERATE_QHP tag is set to YES and both QHP_NAMESPACE and
+QHP_VIRTUAL_FOLDER are set, an additional index file will be generated that can
+be used as input for Qt&apos;s qhelpgenerator to generate a Qt Compressed Help
+(.qch) of the generated HTML documentation.
 ' defval='0' depends='GENERATE_HTML'/>
     <option type='string' id='QCH_FILE' format='file' docs='
 If the QHG_LOCATION tag is specified, the QCH_FILE tag can
@@ -850,13 +851,14 @@ For more information please see
 http://doc.trolltech.com/qthelpproject.html#custom-filters
 ' defval='' depends='GENERATE_QHP'/>
     <option type='string' id='QHP_CUST_FILTER_ATTRS' format='string' docs='
-The QHP_CUST_FILT_ATTRS tag specifies the list of the attributes of the custom filter to add.For more information please see
-&lt;a href=&quot;http://doc.trolltech.com/qthelpproject.html#custom-filters&quot;&gt;Qt Help Project / Custom Filters&lt;/a&gt;.
+The QHP_CUST_FILT_ATTRS tag specifies the list of the attributes of the custom
+filter to add.For more information please see
+http://doc.trolltech.com/qthelpproject.html#custom-filters
 ' defval='' depends='GENERATE_QHP'/>
     <option type='string' id='QHP_SECT_FILTER_ATTRS' format='string' docs='
-The QHP_SECT_FILTER_ATTRS tag specifies the list of the attributes this project&apos;s
-filter section matches.
-&lt;a href=&quot;http://doc.trolltech.com/qthelpproject.html#filter-attributes&quot;&gt;Qt Help Project / Filter Attributes&lt;/a&gt;.
+The QHP_SECT_FILTER_ATTRS tag specifies the list of the attributes this
+project&apos;s filter section matches.
+http://doc.trolltech.com/qthelpproject.html#filter-attributes
 ' defval='' depends='GENERATE_QHP'/>
     <option type='string' id='QHG_LOCATION' format='file' docs='
 If the GENERATE_QHP tag is set to YES, the QHG_LOCATION tag can
diff --git a/src/configoptions.cpp b/src/configoptions.cpp
index cb10082..fabc730 100644
--- a/src/configoptions.cpp
+++ b/src/configoptions.cpp
@@ -312,15 +312,15 @@ void addConfigOptions(Config *cfg)
   //----
   cl = cfg->addList(
                  "EXTENSION_MAPPING",
-                 "Doxygen selects the parser to use depending on the extension of the files it parses.\n"
-                 "With this tag you can assign which parser to use for a given extension.\n"
-                 "Doxygen has a built-in mapping, but you can override or extend it using this tag.\n"
-                 "The format is ext=language, where ext is a file extension, and language is one of\n"
-                 "the parsers supported by doxygen: IDL, Java, Javascript, C#, C, C++, D, PHP,\n"
-                 "Objective-C, Python, Fortran, VHDL, C, C++. For instance to make doxygen treat\n"
-                 ".inc files as Fortran files (default is PHP), and .f files as C (default is Fortran),\n"
-                 "use: inc=Fortran f=C. Note that for custom extensions you also need to set FILE_PATTERNS otherwise the files are not read by doxygen."
-                );
+                 "Doxygen selects the parser to use depending on the extension of the files it\n"
+                 "parses. With this tag you can assign which parser to use for a given extension.\n"
+                 "Doxygen has a built-in mapping, but you can override or extend it using this\n"
+                 "tag. The format is ext=language, where ext is a file extension, and language\n"
+                 "is one of the parsers supported by doxygen: IDL, Java, Javascript, C#, C,\n"
+                 "C++, D, PHP, Objective-C, Python, Fortran, VHDL, C, C++. For instance to make\n"
+                 "doxygen treat .inc files as Fortran files (default is PHP), and .f files as C\n"
+                 "(default is Fortran), use: inc=Fortran f=C. Note that for custom extensions\n"
+                 "you also need to set FILE_PATTERNS otherwise the files are not read by doxygen.");
   //----
   cb = cfg->addBool(
                  "BUILTIN_STL_SUPPORT",
@@ -335,8 +335,8 @@ void addConfigOptions(Config *cfg)
   //----
   cb = cfg->addBool(
                  "CPP_CLI_SUPPORT",
-                 "If you use Microsoft's C++/CLI language, you should set this option to YES to\n"
-                 "enable parsing support.",
+                 "If you use Microsoft's C++/CLI language, you should set this option to YES\n"
+                 "to enable parsing support.",
                  FALSE
                 );
   //----
@@ -350,11 +350,11 @@ void addConfigOptions(Config *cfg)
   //----
   cb = cfg->addBool(
                  "IDL_PROPERTY_SUPPORT",
-                 "For Microsoft's IDL there are propget and propput attributes to indicate getter\n"
-                 "and setter methods for a property. Setting this option to YES (the default)\n"
-                 "will make doxygen to replace the get and set methods by a property in the\n"
-                 "documentation. This will only work if the methods are indeed getting or\n"
-                 "setting a simple type. If this is not the case, or you want to show the\n"
+                 "For Microsoft's IDL there are propget and propput attributes to indicate\n"
+                 "getter and setter methods for a property. Setting this option to YES (the\n"
+                 " default) will make doxygen to replace the get and set methods by a property\n"
+                 "in the documentation. This will only work if the methods are indeed getting\n"
+                 "or setting a simple type. If this is not the case, or you want to show the\n"
                  "methods anyway, you should set this option to NO.",
                  TRUE
                 );
@@ -676,12 +676,12 @@ void addConfigOptions(Config *cfg)
   //----
   cs = cfg->addString(
                  "LAYOUT_FILE",
-                 "The LAYOUT_FILE tag can be used to specify a layout file which will be parsed by\n"
-                 "doxygen. The layout file controls the global structure of the generated output files\n"
-                 "in an output format independent way. The create the layout file that represents\n"
-                 "doxygen's defaults, run doxygen with the -l option. You can optionally specify a\n"
-                 "file name after the option, if omitted DoxygenLayout.xml will be used as the name\n"
-                 "of the layout file."
+                 "The LAYOUT_FILE tag can be used to specify a layout file which will be parsed\n"
+                 "by doxygen. The layout file controls the global structure of the generated\n"
+                 "output files in an output format independent way. The create the layout file\n"
+                 "that represents doxygen's defaults, run doxygen with the -l option. You can\n"
+                 "optionally specify a file name after the option, if omitted DoxygenLayout.xml\n"
+                 "will be used as the name of the layout file."
                 );
   cs->setWidgetType(ConfigString::File);
   //---------------------------------------------------------------------------
@@ -1116,7 +1116,8 @@ void addConfigOptions(Config *cfg)
                  "directory and running \"make install\" will install the docset in\n"
                  "~/Library/Developer/Shared/Documentation/DocSets so that Xcode will find\n"
                  "it at startup.\n"
-                 "See http://developer.apple.com/tools/creatingdocsetswithdoxygen.html for more information.",
+                 "See http://developer.apple.com/tools/creatingdocsetswithdoxygen.html\n"
+		 "for more information.",
                  FALSE
                 );
   cb->addDependency("GENERATE_HTML");
@@ -1207,10 +1208,10 @@ void addConfigOptions(Config *cfg)
   //----
   cb = cfg->addBool(
                  "GENERATE_QHP",
-                 "If the GENERATE_QHP tag is set to YES and both QHP_NAMESPACE and QHP_VIRTUAL_FOLDER\n"
-                 "are set, an additional index file will be generated that can be used as input for\n"
-                 "Qt's qhelpgenerator to generate a Qt Compressed Help (.qch) of the generated\n"
-                 "HTML documentation.",
+                 "If the GENERATE_QHP tag is set to YES and both QHP_NAMESPACE and\n"
+                 "QHP_VIRTUAL_FOLDER are set, an additional index file will be generated that\n"
+                 "can be used as input for Qt's qhelpgenerator to generate a Qt Compressed Help\n"
+                 "(.qch) of the generated HTML documentation.",
                  FALSE
                 );
   cb->addDependency("GENERATE_HTML");
@@ -1243,24 +1244,25 @@ void addConfigOptions(Config *cfg)
   //----
   cs = cfg->addString(
                  "QHP_CUST_FILTER_NAME",
-                 "If QHP_CUST_FILTER_NAME is set, it specifies the name of a custom filter to add.\n"
-                 "For more information please see\n"
+                 "If QHP_CUST_FILTER_NAME is set, it specifies the name of a custom filter\n"
+                 "to add. For more information please see\n"
                  "http://doc.trolltech.com/qthelpproject.html#custom-filters"
                 );
   cs->addDependency("GENERATE_QHP");
   //----
   cs = cfg->addString(
                  "QHP_CUST_FILTER_ATTRS",
-                 "The QHP_CUST_FILT_ATTRS tag specifies the list of the attributes of the custom filter to add.For more information please see\n"
-                 "<a href=\"http://doc.trolltech.com/qthelpproject.html#custom-filters\">Qt Help Project / Custom Filters</a>."
+                 "The QHP_CUST_FILT_ATTRS tag specifies the list of the attributes of the\n"
+                 "custom filter to add. For more information please see\n"
+                 "http://doc.trolltech.com/qthelpproject.html#custom-filters"
                 );
   cs->addDependency("GENERATE_QHP");
   //----
   cs = cfg->addString(
                  "QHP_SECT_FILTER_ATTRS",
-                 "The QHP_SECT_FILTER_ATTRS tag specifies the list of the attributes this project's\n"
-                 "filter section matches.\n"
-                 "<a href=\"http://doc.trolltech.com/qthelpproject.html#filter-attributes\">Qt Help Project / Filter Attributes</a>."
+                 "The QHP_SECT_FILTER_ATTRS tag specifies the list of the attributes this\n"
+                 "project's filter section matches. For more information please see\n"
+                 "http://doc.trolltech.com/qthelpproject.html#filter-attributes"
                 );
   cs->addDependency("GENERATE_QHP");
   //----
@@ -1455,7 +1457,9 @@ void addConfigOptions(Config *cfg)
   //----
   cb = cfg->addBool(
                  "LATEX_SOURCE_CODE",
-                 "If LATEX_SOURCE_CODE is set to YES then doxygen will include source code with syntax highlighting in the LaTeX output. Note that which sources are shown also depends on other settings such as SOURCE_BROWSER.",
+                 "If LATEX_SOURCE_CODE is set to YES then doxygen will include source code\n"
+                 "with syntax highlighting in the LaTeX output. Note that which sources are\n"
+                 "shown also depends on other settings such as SOURCE_BROWSER.",
                  FALSE
                 );
   cb->addDependency("GENERATE_LATEX");