--- actual.xml	2010-12-14 17:00:40.499869400 +0100
+++ expected.xml	2010-12-14 17:26:43.791255400 +0100
@@ -1,7 +1,7 @@
-<toc label="Doxygen">
+<toc label="Doxygen" topic="main.html">
   <topic label="Todo List" href="todo.html">
   </topic>
-  <topic label="Class List">
+  <topic label="Class List" href="annotated.html">
     <topic label="Argument" href="struct_argument.html"/>
     <topic label="ArgumentList" href="class_argument_list.html"/>
     <topic label="BaseClassDef" href="struct_base_class_def.html"/>
@@ -383,7 +383,7 @@
     <topic label="XmlDocVisitor" href="class_xml_doc_visitor.html"/>
     <topic label="XmlSectionMapper" href="class_xml_section_mapper.html"/>
   </topic>
-  <topic label="Class Hierarchy">
+  <topic label="Class Hierarchy" href="hierarchy.html">
     <topic label="Argument" href="struct_argument.html"/>
     <topic label="BaseClassDef" href="struct_base_class_def.html"/>
     <topic label="BaseClassListIterator" href="class_base_class_list_iterator.html"/>
@@ -398,12 +398,12 @@
     <topic label="ClassListIterator" href="class_class_list_iterator.html"/>
     <topic label="DotRunner::CleanupItem" href="struct_dot_runner_1_1_cleanup_item.html"/>
     <topic label="CmhlInfo" href="struct_cmhl_info.html"/>
-    <topic label="CodeOutputInterface">
-      <topic label="BaseOutputDocInterface">
-        <topic label="OutputDocInterface">
+    <topic label="CodeOutputInterface" href="class_code_output_interface.html">
+      <topic label="BaseOutputDocInterface" href="class_base_output_doc_interface.html">
+        <topic label="OutputDocInterface" href="class_output_doc_interface.html">
           <topic label="OutputList" href="class_output_list.html"/>
         </topic>
-        <topic label="OutputGenerator">
+        <topic label="OutputGenerator" href="class_output_generator.html">
           <topic label="HtmlGenerator" href="class_html_generator.html"/>
           <topic label="LatexGenerator" href="class_latex_generator.html"/>
           <topic label="ManGenerator" href="class_man_generator.html"/>
@@ -420,101 +420,101 @@
     <topic label="CommandMap" href="struct_command_map.html"/>
     <topic label="DBusXMLHandler::CommentData" href="struct_d_bus_x_m_l_handler_1_1_comment_data.html"/>
     <topic label="CompAccept&lt; T &gt;" href="class_comp_accept.html"/>
-    <topic label="CompAccept&lt; DocAutoList &gt;">
+    <topic label="CompAccept&lt; DocAutoList &gt;" href="class_comp_accept.html">
       <topic label="DocAutoList" href="class_doc_auto_list.html"/>
     </topic>
-    <topic label="CompAccept&lt; DocCopy &gt;">
+    <topic label="CompAccept&lt; DocCopy &gt;" href="class_comp_accept.html">
       <topic label="DocCopy" href="class_doc_copy.html"/>
     </topic>
-    <topic label="CompAccept&lt; DocDotFile &gt;">
+    <topic label="CompAccept&lt; DocDotFile &gt;" href="class_comp_accept.html">
       <topic label="DocDotFile" href="class_doc_dot_file.html"/>
     </topic>
-    <topic label="CompAccept&lt; DocHRef &gt;">
+    <topic label="CompAccept&lt; DocHRef &gt;" href="class_comp_accept.html">
       <topic label="DocHRef" href="class_doc_h_ref.html"/>
     </topic>
-    <topic label="CompAccept&lt; DocHtmlCaption &gt;">
+    <topic label="CompAccept&lt; DocHtmlCaption &gt;" href="class_comp_accept.html">
       <topic label="DocHtmlCaption" href="class_doc_html_caption.html"/>
     </topic>
-    <topic label="CompAccept&lt; DocHtmlCell &gt;">
+    <topic label="CompAccept&lt; DocHtmlCell &gt;" href="class_comp_accept.html">
       <topic label="DocHtmlCell" href="class_doc_html_cell.html"/>
     </topic>
-    <topic label="CompAccept&lt; DocHtmlDescData &gt;">
+    <topic label="CompAccept&lt; DocHtmlDescData &gt;" href="class_comp_accept.html">
       <topic label="DocHtmlDescData" href="class_doc_html_desc_data.html"/>
     </topic>
-    <topic label="CompAccept&lt; DocHtmlDescList &gt;">
+    <topic label="CompAccept&lt; DocHtmlDescList &gt;" href="class_comp_accept.html">
       <topic label="DocHtmlDescList" href="class_doc_html_desc_list.html"/>
     </topic>
-    <topic label="CompAccept&lt; DocHtmlDescTitle &gt;">
+    <topic label="CompAccept&lt; DocHtmlDescTitle &gt;" href="class_comp_accept.html">
       <topic label="DocHtmlDescTitle" href="class_doc_html_desc_title.html"/>
     </topic>
-    <topic label="CompAccept&lt; DocHtmlHeader &gt;">
+    <topic label="CompAccept&lt; DocHtmlHeader &gt;" href="class_comp_accept.html">
       <topic label="DocHtmlHeader" href="class_doc_html_header.html"/>
     </topic>
-    <topic label="CompAccept&lt; DocHtmlList &gt;">
+    <topic label="CompAccept&lt; DocHtmlList &gt;" href="class_comp_accept.html">
       <topic label="DocHtmlList" href="class_doc_html_list.html"/>
     </topic>
-    <topic label="CompAccept&lt; DocHtmlListItem &gt;">
+    <topic label="CompAccept&lt; DocHtmlListItem &gt;" href="class_comp_accept.html">
       <topic label="DocHtmlListItem" href="class_doc_html_list_item.html"/>
     </topic>
-    <topic label="CompAccept&lt; DocHtmlRow &gt;">
+    <topic label="CompAccept&lt; DocHtmlRow &gt;" href="class_comp_accept.html">
       <topic label="DocHtmlRow" href="class_doc_html_row.html"/>
     </topic>
-    <topic label="CompAccept&lt; DocHtmlTable &gt;">
+    <topic label="CompAccept&lt; DocHtmlTable &gt;" href="class_comp_accept.html">
       <topic label="DocHtmlTable" href="class_doc_html_table.html"/>
     </topic>
-    <topic label="CompAccept&lt; DocImage &gt;">
+    <topic label="CompAccept&lt; DocImage &gt;" href="class_comp_accept.html">
       <topic label="DocImage" href="class_doc_image.html"/>
     </topic>
-    <topic label="CompAccept&lt; DocInternal &gt;">
+    <topic label="CompAccept&lt; DocInternal &gt;" href="class_comp_accept.html">
       <topic label="DocInternal" href="class_doc_internal.html"/>
     </topic>
-    <topic label="CompAccept&lt; DocInternalRef &gt;">
+    <topic label="CompAccept&lt; DocInternalRef &gt;" href="class_comp_accept.html">
       <topic label="DocInternalRef" href="class_doc_internal_ref.html"/>
     </topic>
-    <topic label="CompAccept&lt; DocLink &gt;">
+    <topic label="CompAccept&lt; DocLink &gt;" href="class_comp_accept.html">
       <topic label="DocLink" href="class_doc_link.html"/>
     </topic>
-    <topic label="CompAccept&lt; DocMscFile &gt;">
+    <topic label="CompAccept&lt; DocMscFile &gt;" href="class_comp_accept.html">
       <topic label="DocMscFile" href="class_doc_msc_file.html"/>
     </topic>
-    <topic label="CompAccept&lt; DocPara &gt;">
+    <topic label="CompAccept&lt; DocPara &gt;" href="class_comp_accept.html">
       <topic label="DocPara" href="class_doc_para.html"/>
     </topic>
-    <topic label="CompAccept&lt; DocParamSect &gt;">
+    <topic label="CompAccept&lt; DocParamSect &gt;" href="class_comp_accept.html">
       <topic label="DocParamSect" href="class_doc_param_sect.html"/>
     </topic>
-    <topic label="CompAccept&lt; DocRef &gt;">
+    <topic label="CompAccept&lt; DocRef &gt;" href="class_comp_accept.html">
       <topic label="DocRef" href="class_doc_ref.html"/>
     </topic>
-    <topic label="CompAccept&lt; DocRoot &gt;">
+    <topic label="CompAccept&lt; DocRoot &gt;" href="class_comp_accept.html">
       <topic label="DocRoot" href="class_doc_root.html"/>
     </topic>
-    <topic label="CompAccept&lt; DocSecRefItem &gt;">
+    <topic label="CompAccept&lt; DocSecRefItem &gt;" href="class_comp_accept.html">
       <topic label="DocSecRefItem" href="class_doc_sec_ref_item.html"/>
     </topic>
-    <topic label="CompAccept&lt; DocSecRefList &gt;">
+    <topic label="CompAccept&lt; DocSecRefList &gt;" href="class_comp_accept.html">
       <topic label="DocSecRefList" href="class_doc_sec_ref_list.html"/>
     </topic>
-    <topic label="CompAccept&lt; DocSection &gt;">
+    <topic label="CompAccept&lt; DocSection &gt;" href="class_comp_accept.html">
       <topic label="DocSection" href="class_doc_section.html"/>
     </topic>
-    <topic label="CompAccept&lt; DocSimpleList &gt;">
+    <topic label="CompAccept&lt; DocSimpleList &gt;" href="class_comp_accept.html">
       <topic label="DocSimpleList" href="class_doc_simple_list.html"/>
     </topic>
-    <topic label="CompAccept&lt; DocSimpleSect &gt;">
+    <topic label="CompAccept&lt; DocSimpleSect &gt;" href="class_comp_accept.html">
       <topic label="DocSimpleSect" href="class_doc_simple_sect.html"/>
     </topic>
-    <topic label="CompAccept&lt; DocText &gt;">
+    <topic label="CompAccept&lt; DocText &gt;" href="class_comp_accept.html">
       <topic label="DocText" href="class_doc_text.html"/>
     </topic>
-    <topic label="CompAccept&lt; DocTitle &gt;">
+    <topic label="CompAccept&lt; DocTitle &gt;" href="class_comp_accept.html">
       <topic label="DocTitle" href="class_doc_title.html"/>
     </topic>
-    <topic label="CompAccept&lt; DocXRefItem &gt;">
+    <topic label="CompAccept&lt; DocXRefItem &gt;" href="class_comp_accept.html">
       <topic label="DocXRefItem" href="class_doc_x_ref_item.html"/>
     </topic>
     <topic label="Config" href="class_config.html"/>
-    <topic label="ConfigOption">
+    <topic label="ConfigOption" href="class_config_option.html">
       <topic label="ConfigBool" href="class_config_bool.html"/>
       <topic label="ConfigEnum" href="class_config_enum.html"/>
       <topic label="ConfigInfo" href="class_config_info.html"/>
@@ -528,8 +528,8 @@
     <topic label="Debug" href="class_debug.html"/>
     <topic label="Define" href="class_define.html"/>
     <topic label="DefinitionImpl" href="class_definition_impl.html"/>
-    <topic label="DefinitionIntf">
-      <topic label="Definition">
+    <topic label="DefinitionIntf" href="class_definition_intf.html">
+      <topic label="Definition" href="class_definition.html">
         <topic label="ClassDef" href="class_class_def.html"/>
         <topic label="DirDef" href="class_dir_def.html"/>
         <topic label="FileDef" href="class_file_def.html"/>
@@ -543,12 +543,12 @@
     <topic label="DefinitionListIterator" href="class_definition_list_iterator.html"/>
     <topic label="DiagramItem" href="class_diagram_item.html"/>
     <topic label="DiagramRowIterator" href="class_diagram_row_iterator.html"/>
-    <topic label="DirEntry">
+    <topic label="DirEntry" href="class_dir_entry.html">
       <topic label="Directory" href="class_directory.html"/>
     </topic>
     <topic label="DirRelation" href="class_dir_relation.html"/>
     <topic label="DocInfo" href="struct_doc_info.html"/>
-    <topic label="DocNode">
+    <topic label="DocNode" href="class_doc_node.html">
       <topic label="DocAnchor" href="class_doc_anchor.html"/>
       <topic label="DocAutoList" href="class_doc_auto_list.html"/>
       <topic label="DocAutoListItem" href="class_doc_auto_list_item.html"/>
@@ -600,7 +600,7 @@
       <topic label="DocXRefItem" href="class_doc_x_ref_item.html"/>
     </topic>
     <topic label="DocParserContext" href="struct_doc_parser_context.html"/>
-    <topic label="DocVisitor">
+    <topic label="DocVisitor" href="class_doc_visitor.html">
       <topic label="HtmlDocVisitor" href="class_html_doc_visitor.html"/>
       <topic label="LatexDocVisitor" href="class_latex_doc_visitor.html"/>
       <topic label="ManDocVisitor" href="class_man_doc_visitor.html"/>
@@ -655,7 +655,7 @@
     <topic label="img_data_item" href="structimg__data__item.html"/>
     <topic label="IncludeInfo" href="struct_include_info.html"/>
     <topic label="IndexField" href="struct_index_field.html"/>
-    <topic label="IndexIntf">
+    <topic label="IndexIntf" href="class_index_intf.html">
       <topic label="DocSets" href="class_doc_sets.html"/>
       <topic label="EclipseHelp" href="class_eclipse_help.html"/>
       <topic label="FTVHelp" href="class_f_t_v_help.html"/>
@@ -670,10 +670,10 @@
     <topic label="LabelMap" href="struct_label_map.html"/>
     <topic label="LabelMapper" href="class_label_mapper.html"/>
     <topic label="Lang2ExtMap" href="struct_lang2_ext_map.html"/>
-    <topic label="LayoutDocEntry">
+    <topic label="LayoutDocEntry" href="struct_layout_doc_entry.html">
       <topic label="LayoutDocEntryMemberDecl" href="struct_layout_doc_entry_member_decl.html"/>
       <topic label="LayoutDocEntryMemberDef" href="struct_layout_doc_entry_member_def.html"/>
-      <topic label="LayoutDocEntrySimple">
+      <topic label="LayoutDocEntrySimple" href="struct_layout_doc_entry_simple.html">
         <topic label="LayoutDocEntrySection" href="struct_layout_doc_entry_section.html"/>
       </topic>
     </topic>
@@ -683,7 +683,7 @@
     <topic label="LayoutParser" href="class_layout_parser.html"/>
     <topic label="DotGroupCollaboration::Link" href="class_dot_group_collaboration_1_1_link.html"/>
     <topic label="ListItemInfo" href="struct_list_item_info.html"/>
-    <topic label="LockableObj">
+    <topic label="LockableObj" href="class_lockable_obj.html">
       <topic label="Definition" href="class_definition.html"/>
     </topic>
     <topic label="LockingPtr&lt; T &gt;" href="class_locking_ptr.html"/>
@@ -712,7 +712,7 @@
     <topic label="DocSets::NodeDef" href="struct_doc_sets_1_1_node_def.html"/>
     <topic label="ObjCache" href="class_obj_cache.html"/>
     <topic label="OutputNameDict" href="class_output_name_dict.html"/>
-    <topic label="ParserInterface">
+    <topic label="ParserInterface" href="class_parser_interface.html">
       <topic label="CLanguageScanner" href="class_c_language_scanner.html"/>
       <topic label="DBusXMLScanner" href="class_d_bus_x_m_l_scanner.html"/>
       <topic label="FortranLanguageScanner" href="class_fortran_language_scanner.html"/>
@@ -726,10 +726,10 @@
     <topic label="LayoutDocManager::Private" href="class_layout_doc_manager_1_1_private.html"/>
     <topic label="QGStringBuffer" href="class_q_g_string_buffer.html"/>
     <topic label="QhpXmlWriter" href="class_qhp_xml_writer.html"/>
-    <topic label="QList">
+    <topic label="QList" href="class_q_list.html">
       <topic label="ArgumentList" href="class_argument_list.html"/>
       <topic label="BaseClassList" href="class_base_class_list.html"/>
-      <topic label="ClassList">
+      <topic label="ClassList" href="class_class_list.html">
         <topic label="PrefixIgnoreClassList" href="class_prefix_ignore_class_list.html"/>
       </topic>
       <topic label="DefineList" href="class_define_list.html"/>
@@ -740,7 +740,7 @@
       <topic label="DiagramRow" href="class_diagram_row.html"/>
       <topic label="DirList" href="class_dir_list.html"/>
       <topic label="DotNodeList" href="class_dot_node_list.html"/>
-      <topic label="FileList">
+      <topic label="FileList" href="class_file_list.html">
         <topic label="FileName" href="class_file_name.html"/>
       </topic>
       <topic label="FileNameList" href="class_file_name_list.html"/>
@@ -779,62 +779,62 @@
     <topic label="RTFListItemInfo" href="struct_r_t_f_list_item_info.html"/>
     <topic label="DBusXMLHandler::ScopeData" href="struct_d_bus_x_m_l_handler_1_1_scope_data.html"/>
     <topic label="SDict&lt; T &gt;" href="class_s_dict.html"/>
-    <topic label="SDict&lt; ClassDef &gt;">
+    <topic label="SDict&lt; ClassDef &gt;" href="class_s_dict.html">
       <topic label="ClassSDict" href="class_class_s_dict.html"/>
     </topic>
-    <topic label="SDict&lt; DirDef &gt;">
+    <topic label="SDict&lt; DirDef &gt;" href="class_s_dict.html">
       <topic label="DirSDict" href="class_dir_s_dict.html"/>
     </topic>
-    <topic label="SDict&lt; Example &gt;">
+    <topic label="SDict&lt; Example &gt;" href="class_s_dict.html">
       <topic label="ExampleSDict" href="class_example_s_dict.html"/>
     </topic>
-    <topic label="SDict&lt; FilePair &gt;">
+    <topic label="SDict&lt; FilePair &gt;" href="class_s_dict.html">
       <topic label="FilePairDict" href="class_file_pair_dict.html"/>
     </topic>
-    <topic label="SDict&lt; GroupDef &gt;">
+    <topic label="SDict&lt; GroupDef &gt;" href="class_s_dict.html">
       <topic label="GroupSDict" href="class_group_s_dict.html"/>
     </topic>
-    <topic label="SDict&lt; IndexField &gt;">
+    <topic label="SDict&lt; IndexField &gt;" href="class_s_dict.html">
       <topic label="IndexFieldSDict" href="class_index_field_s_dict.html"/>
     </topic>
-    <topic label="SDict&lt; MemberDef &gt;">
+    <topic label="SDict&lt; MemberDef &gt;" href="class_s_dict.html">
       <topic label="MemberSDict" href="class_member_s_dict.html"/>
     </topic>
-    <topic label="SDict&lt; MemberName &gt;">
+    <topic label="SDict&lt; MemberName &gt;" href="class_s_dict.html">
       <topic label="MemberNameSDict" href="class_member_name_s_dict.html"/>
     </topic>
-    <topic label="SDict&lt; MemberNameInfo &gt;">
+    <topic label="SDict&lt; MemberNameInfo &gt;" href="class_s_dict.html">
       <topic label="MemberNameInfoSDict" href="class_member_name_info_s_dict.html"/>
     </topic>
-    <topic label="SDict&lt; NamespaceDef &gt;">
+    <topic label="SDict&lt; NamespaceDef &gt;" href="class_s_dict.html">
       <topic label="NamespaceSDict" href="class_namespace_s_dict.html"/>
     </topic>
-    <topic label="SDict&lt; PageDef &gt;">
+    <topic label="SDict&lt; PageDef &gt;" href="class_s_dict.html">
       <topic label="PageSDict" href="class_page_s_dict.html"/>
     </topic>
-    <topic label="SDict&lt; QList&lt; Definition &gt; &gt;">
+    <topic label="SDict&lt; QList&lt; Definition &gt; &gt;" href="class_s_dict.html">
       <topic label="SearchIndexList" href="class_search_index_list.html"/>
     </topic>
-    <topic label="SDict&lt; RefItem &gt;">
+    <topic label="SDict&lt; RefItem &gt;" href="class_s_dict.html">
       <topic label="SortedRefItems" href="class_sorted_ref_items.html"/>
     </topic>
     <topic label="SearchIndexCategoryMapping" href="class_search_index_category_mapping.html"/>
     <topic label="SectionDict" href="class_section_dict.html"/>
     <topic label="SectionInfo" href="struct_section_info.html"/>
     <topic label="SIntDict&lt; T &gt;" href="class_s_int_dict.html"/>
-    <topic label="SIntDict&lt; MemberGroup &gt;">
+    <topic label="SIntDict&lt; MemberGroup &gt;" href="class_s_int_dict.html">
       <topic label="MemberGroupSDict" href="class_member_group_s_dict.html"/>
     </topic>
     <topic label="SourceReference" href="struct_source_reference.html"/>
     <topic label="TagFileParser::StartElementHandler" href="class_tag_file_parser_1_1_start_element_handler.html"/>
-    <topic label="LayoutParser::StartElementHandler">
+    <topic label="LayoutParser::StartElementHandler" href="class_layout_parser_1_1_start_element_handler.html">
       <topic label="LayoutParser::StartElementHandlerKind" href="class_layout_parser_1_1_start_element_handler_kind.html"/>
       <topic label="LayoutParser::StartElementHandlerMember" href="class_layout_parser_1_1_start_element_handler_member.html"/>
       <topic label="LayoutParser::StartElementHandlerNavEntry" href="class_layout_parser_1_1_start_element_handler_nav_entry.html"/>
       <topic label="LayoutParser::StartElementHandlerSection" href="class_layout_parser_1_1_start_element_handler_section.html"/>
     </topic>
     <topic label="STLInfo" href="struct_s_t_l_info.html"/>
-    <topic label="StorageIntf">
+    <topic label="StorageIntf" href="class_storage_intf.html">
       <topic label="FileStorage" href="class_file_storage.html"/>
       <topic label="Store" href="class_store.html"/>
       <topic label="StreamStorage" href="class_stream_storage.html"/>
@@ -856,21 +856,21 @@
     <topic label="TagNamespaceInfo" href="class_tag_namespace_info.html"/>
     <topic label="TagPackageInfo" href="class_tag_package_info.html"/>
     <topic label="TagPageInfo" href="class_tag_page_info.html"/>
-    <topic label="TextGeneratorIntf">
+    <topic label="TextGeneratorIntf" href="class_text_generator_intf.html">
       <topic label="TextGeneratorOLImpl" href="class_text_generator_o_l_impl.html"/>
       <topic label="TextGeneratorXMLImpl" href="class_text_generator_x_m_l_impl.html"/>
     </topic>
     <topic label="TokenInfo" href="struct_token_info.html"/>
-    <topic label="Translator">
-      <topic label="TranslatorAdapterBase">
-        <topic label="TranslatorAdapter_1_6_3">
-          <topic label="TranslatorAdapter_1_6_0">
-            <topic label="TranslatorAdapter_1_5_4">
-              <topic label="TranslatorAdapter_1_4_6">
-                <topic label="TranslatorAdapter_1_4_1">
-                  <topic label="TranslatorAdapter_1_3_9">
-                    <topic label="TranslatorAdapter_1_3_8">
-                      <topic label="TranslatorAdapter_1_3_3">
+    <topic label="Translator" href="class_translator.html">
+      <topic label="TranslatorAdapterBase" href="class_translator_adapter_base.html">
+        <topic label="TranslatorAdapter_1_6_3" href="class_translator_adapter__1__6__3.html">
+          <topic label="TranslatorAdapter_1_6_0" href="class_translator_adapter__1__6__0.html">
+            <topic label="TranslatorAdapter_1_5_4" href="class_translator_adapter__1__5__4.html">
+              <topic label="TranslatorAdapter_1_4_6" href="class_translator_adapter__1__4__6.html">
+                <topic label="TranslatorAdapter_1_4_1" href="class_translator_adapter__1__4__1.html">
+                  <topic label="TranslatorAdapter_1_3_9" href="class_translator_adapter__1__3__9.html">
+                    <topic label="TranslatorAdapter_1_3_8" href="class_translator_adapter__1__3__8.html">
+                      <topic label="TranslatorAdapter_1_3_3" href="class_translator_adapter__1__3__3.html">
                         <topic label="TranslatorPortuguese" href="class_translator_portuguese.html"/>
                       </topic>
                     </topic>
@@ -912,7 +912,7 @@
       <topic label="TranslatorCzech" href="class_translator_czech.html"/>
       <topic label="TranslatorDecoder" href="class_translator_decoder.html"/>
       <topic label="TranslatorDutch" href="class_translator_dutch.html"/>
-      <topic label="TranslatorEnglish">
+      <topic label="TranslatorEnglish" href="class_translator_english.html">
         <topic label="TranslatorJapaneseEn" href="class_translator_japanese_en.html"/>
         <topic label="TranslatorKoreanEn" href="class_translator_korean_en.html"/>
       </topic>
@@ -936,7 +936,7 @@
   </topic>
   <topic label="Class Members" href="functions.html"/>
   <topic label="Graphical Class Hierarchy" href="inherits.html"/>
-  <topic label="File List">
+  <topic label="File List" href="files.html">
     <topic label="src/bufstr.h" href="bufstr_8h.html"/>
     <topic label="src/ce_parse.h" href="ce__parse_8h.html"/>
     <topic label="src/classdef.cpp" href="classdef_8cpp.html"/>
@@ -1152,10 +1152,9 @@
     <topic label="src/xmlgen.cpp" href="xmlgen_8cpp.html"/>
     <topic label="src/xmlgen.h" href="xmlgen_8h.html"/>
   </topic>
-  <topic label="Directory Hierarchy">
+  <topic label="Directory Hierarchy" href="dirs.html">
     <topic label="src" href="dir_7013666b8e1accd7282262d35411de46.html">
     </topic>
   </topic>
   <topic label="File Members" href="globals.html"/>
 </toc>
-